# Juniper LED state

Monitors the state of the Juniper LEDs using the JUNIPER-MIB.

*Note*: the used OIDs are deprecated by Juniper.

---
### Check Info

* *service*: this check creates the service _Alarm LED_ for each LED with the LED description as item

* *state*: 
    - WARN/CRIT/UNKNON based on the LED state

* *wato*: none
   
* *perfdata*: none
    
---
### Download

* [juniper_led.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/juniper-networks/juniper_led/-/raw/master/juniper_led.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install juniper_led.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
#### Want to contribute?
Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")
